邮件模板
GET
/v1/mailboxes/{mailbox_id}/templates每个邮箱最多 100 个模板。字段为 name、subject、text 和 html;HTML 会经过清理。模板本身不会发送邮件。
要求
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/templates' \ -H 'Authorization: Bearer <access_token>'选项
mailbox_idpath一定integerX-Customer-IDheader- 选项 1
string选项 2null
响应
200 成功回复
application/json
array
数组元素
object
id一定integerdata一定objectname一定stringminLength: 1maxLength: 120subjectstring默认:
""maxLength: 998textstring默认:
""maxLength: 20000htmlstring默认:
""maxLength: 30000
不接受未知字段。
updated_at一定stringUTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.
401 需要登录
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
403 无法访问
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
404 找不到资源
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
409 国家冲突
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
422 验证错误
application/json
object
detailarray数组元素objectloc一定array数组元素选项 1string选项 2integermsg一定stringtype一定string
503 暂时无法使用
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object